BDEV_STACK_LIMITS(9)

NAME
bdev_stack_limits - adjust queue limits for stacked drivers

SYNOPSIS

int bdev_stack_limits(struct queue_limits * t, struct block_device * bdev, sector_t start);

ARGUMENTS

t
    the stacking driver limits (top device)

bdev
    the component block_device (bottom)

start
    first data sector within component device

DESCRIPTION

Merges queue limits for a top device and a block_device. Returns 0 if alignment didn't change. Returns -1 if adding the bottom device caused misalignment.

COPYRIGHT